#!/usr/bin/php
<?php
include_once 'utils.php';
include_once 'nfdump.libs.php';
include_once '/usr/local/esia/plugins/lib/CacheFile.class.php';
$CACHEDIRECTORY='/tmp/flows-stats/';
if( is_dir($CACHEDIRECTORY) == FALSE)
{
    if(mkdir($CACHEDIRECTORY,0755)==FALSE)
    {
        echo "Can't create direcotry cache\n";
        exit(3);
    }
}
$DEBUG = 0;

$SHORT_OPTS="c:D:d";
$LONG_OPTS=array("channel:","day:","debug");
$options = getopt($SHORT_OPTS, $LONG_OPTS);
$channel = getParam($options,'c','channel');
$day = getParam($options,'D','day',30);
$DEBUG = getParam($options,'d','debug');
Trace("SCRIPT: START",$DEBUG);
if(empty($channel))
{
    echo "channel is empty\n";
    exit(1);
}
$now = new DateTime();
$end = $now->getTimestamp();
$start = $end - ($day*24*60*60);
$finalArray = array();
for($i = 0; $i < $day;$i++)
{
	$dir = date('Y/m/d',$start);
	$arr = getNfdumpStatistic($channel,$dir);
	$finalArray[$dir] = $arr;
	//on ajoute une journée
	$start = $start + 86400;
}
Trace($finalArray,$DEBUG);
$text = json_encode($finalArray);
$text =iconv("UTF-8", "CP437", $text);
iconv_set_encoding('output',"CP437");
echo $text;
