<?php
//ESIA PLUGIN LIB
$ERRORS= array('OK'=>0,'WARNING'=>1,'CRITICAL'=>2,'UNKNOWN'=>3);
$PRIORITIES_STATES=array("CRITICAL","WARNING","UNKNOWN","OK");


function Trace($string,$debug=null)
{
	if(isset($debug))
	{
		if(is_array($string))
			print_r($string);
		else
			echo "$string\n";
	}
}

function getParam($options,$name1,$name2,$default=null)
{
	if( isset( $options[$name1] ) ) return $options[$name1];
	if( isset( $options[$name2] ) ) return $options[$name2];
	return $default;
}
function exit_state($state,$msg=null,$usage=false)
{
	$STR_STATUS=$GLOBALS["STR_STATUS"];
	$INT_STATUS=$GLOBALS["INT_STATUS"];

	$ret=$state;
	if( is_string($state) ) $ret=$INT_STATUS[strtoupper($state)];
	else $state=$STR_STATUS[$ret];

	if( $msg != null ) echo "$state - $msg\n";
	if( $usage ) print_usage(true);
	exit($ret);
}

function calcul_state($a,$b=null)
{
	$STR_STATUS=$GLOBALS["STR_STATUS"];
	$INT_STATUS=$GLOBALS["INT_STATUS"];
	$PRIORITIES_STATES=$GLOBALS["PRIORITIES_STATES"];

	if(is_string($a) ) $a=$INT_STATUS[strtoupper($a)];
	if(is_string($b) ) $b=$INT_STATUS[strtoupper($b)];

	foreach($PRIORITIES_STATES as $value){
		$value = $INT_STATUS[$value];

		if( $value == $a || $value == $b ) return $value;
	}
	return $INT_STATUS["UNKNOWN"];
}
function getCacheDuring($interval,$default = 5)
{
	$cacheduring = $default;
	if($interval >= 43200)
	{
		//durée du cache 1 journée
		$cacheduring = 1440-10;
	}
	elseif($interval >= 1440)
	{
		//durée du cache 1 journée
		$cacheduring = 1440-10;
	}
	elseif($interval >= 10800)
	{
		//durée du cache 6 heure
		$cacheduring = 360-10;
	}
	elseif($interval >= 1440)
	{
		//durée du cache 30 minute
		$cacheduring = 29;
	}
	elseif($interval >= 360)
	{
		//durée du cache 14 minute
		$cacheduring = 29;
	}
	elseif($interval >= 60)
	{
		//durée du cache 14 minute
		$cacheduring = 14;
	}
	return $cacheduring;
}
?>
