<?php
/**
 * @name Model_esia
 * @description Classe modèle d'Esia
 *		Toutes les méthodes sont déclarée en 'static' ainsi on garde les Objets PDO pour les programmeurs extérieurs et pour faire des modifications, ils ne sont pas /
 *		obligé de connaitre la hierachie de classe d'ESIA
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 16/11/2012
 */
include_once './conf.php';
include_once './model_flow_collector.php';
$action='stats';
if(!empty($_GET['action'] ) )
{
    $action = $_GET['action'];
}
if($action=='getChannel')
{
	$id= null;
	if(!empty($_GET['id'] ) )
	{
		$id = $_GET['id'];
	}
	$arr = Model_flows_collector::getChannels($dbconnection,$id);
	//print_r($arr);
	if(!empty($id))
	{
		$arr = array_shift($arr);
	}
	echo json_encode($arr,true);
	exit(0);
}
elseif($action=='addChannel')
{

	$first_port=9000;
	$port = $_POST['port'];
	$arr = Model_flows_collector::getChannels($dbconnection);
	$list_port=array();
	$found = FALSE;
	foreach($arr as $chan)
	{
		$tmp  = $chan['port'];
		if($tmp == $port)
		{
			$found= TRUE;
			break;
		}
		$list_port[]=$chan['port'];

	}
	if($found === TRUE && !empty($_POST['port']))
	{
		$arr = array('error'=>'Port already use');
	}
	else
	{

		if($found === TRUE)
		{
			$first_port=$first_port+1;
		}
		$maxport = 9500;
		for($i=$first_port;$i <$maxport; $i++)
		{
			if(!in_array($i,$list_port))
			{
				$first_port = $i;
				break;
			}
		}
		if($i < $maxport)
		{
			echo "port auto $first_port";
			$port = $first_port;
		}
		else
		{
			$arr = array('error'=>'To much port use');
		}
	}
	echo json_encode($arr,true);
	exit(0);
}
?>
