<?php
/**
 * @name Model_esia
 * @description Classe modèle d'Esia
 *		Toutes les méthodes sont déclarée en 'static' ainsi on garde les Objets PDO pour les programmeurs extérieurs et pour faire des modifications, ils ne sont pas /
 *		obligé de connaitre la hierachie de classe d'ESIA
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 16/11/2012
 */
include_once './conf.php';
include_once './model_flow_collector.php';
$action='stats';
if(!empty($_GET['action'] ) )
{
    $action = $_GET['action'];
}
if($action=='lastdata')
{
	if(!empty($_GET['name'] ) )
	{
		$name = $_GET['name'];
		$channel = -1;
		if(!empty($_GET['channel']))
		{
			$channel = $_GET['channel'];
		}
		else
		{
			$channel= null;
		}

		$arr = Model_flows_collector::getCollectors($dbconnection,$name,$channel);
		//echo '<pre>';		print_r($arr);
		$arr = array_shift($arr);
		echo json_encode($arr,true);
		exit(0);
	}
}
elseif($action=='data')
{
	$id = -1;
	if(!empty($_GET['id'] ) )
	{
		$id = $_GET['id'];
	}
	$dataid='all';
	if(!empty($_GET['dataid'] ) )
	{
		$dataid=$_GET['dataid'];
	}
	$arr = Model_flows_collector::getData($dbconnection,$id,$dataid);
		$arr = array_shift($arr);
	echo json_encode($arr,true);
	exit(0);
}
elseif($action=='get')
{
	$name = -1;
	if(!empty($_GET['channel'] ) )
	{
		$name = $_GET['channel'];
	}
	$arr = Model_flows_collector::getCollectors($dbconnection,null,$channel);
	echo json_encode($arr,true);
	exit(0);
}
elseif($action=='getPlugin')
{
	$name = null;
	if(!empty($_GET['collector'] ) )
	{
		$name = $_GET['collector'];
	}
	$arr = Model_flows_collector::getCollectorsPlugin($dbconnection,$name);
	echo json_encode($arr,true);
	exit(0);
}
elseif($action=='add')
{
	$name = "";
	if(!empty($_GET['name'] ) )
	{
		$name = $_GET['name'];
	}

	$arr = Model_flows_collector::addCollector($dbconnection,$name, $_GET['param'],$_GET['id'],$_GET['channel']);
	echo json_encode($arr,true);
	exit(0);
}
elseif($action=='execute')
{
	$plugin = "";
    $ip= "";
	if(!empty($_GET['plugin'] ) && $_GET['IP'])
	{
		$plugin = $_GET['plugin'];
        $ip = ' -I '.$_GET['IP'];
	}
    else
    {
      	echo json_encode('BAD PLUGIN OR IP NULL',true);
	    exit(0);
    }
	$channel = "";
	$arr = Model_flows_collector::getChannels($dbconnection);

	if(!empty($_GET['channel'] ) )
	{
        foreach( $arr as $line)
        {
            if($line['name'] == $_GET['channel'])
            {
		        $channel = $_GET['channel'];
            }
        }
	}
    else
    {
        foreach( $arr as $line)
        {
            $channel = $line['name'].':';
        }
        $channel = trim($line['name'],':');
    }
	if(empty($channel ) )
	{
      	echo json_encode('BAD CHANNEL',true);
	    exit(0);
    }
    //TOP_10_IP_BYTES_PUBLIC_UPLOAD_7D
    //TOP_10_IP_BYTES_UPLOAD_7D
	$arr = Model_flows_collector::getCollectorsPlugin($dbconnection,$plugin);
	$arr = array_shift($arr);
    //print_r($arr);
    $path = $arr['path'];
    $params = $arr['parameter'].$ip;
    $params = preg_replace('#\$CHANNEL#',$channel,$params);
    //$params = preg_replace('#\-n 10#','-n 10000',$params);
  //echo "<br /> $channel $path $params<br />";
    exec($path.' '.$params,$output,$ret);
    $output = $output[0];
    echo"$output";
	exit(0);
}
?>
