<?php
$path_data= "/opt/nfsen/profiles-data/live/";
$path_rrd= "/opt/nfsen/profiles-stat/live/";
$path_nfdump="/usr/bin/nfdump";
$file = file_get_contents('/etc/esia/flows.conf');

$keywords = preg_split("/\[/", $file,-1);
$inifile= array();
foreach($keywords as $conf)
{
    $section="";
    $tmp = explode("\n",$conf);
    if(preg_match("/(.*)\]/", $tmp[0],$regs))
    {
        $section=$regs[1];
        $inifile[$section]=array();
    }
    foreach($tmp as $line)
    {
        if(preg_match("/(.*)\=(.*)/", $line,$regs))
        {
            $key = trim($regs[1]);
            $val = trim($regs[2]);
            $inifile[$section][$key]=$val;
        }
    }
}
$DB = $inifile['POSTGRESQL'];
//print_r($DB);
//connection à la base de donnée
try
{
	$dbconnection = new PDO('pgsql:host='.$DB['PGSQL_host'].';port='.$DB['PGSQL_port'].';dbname='.$DB['PGSQL_db'], $DB['PGSQL_username'], $DB['PGSQL_pwd']);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
}
catch(Exception $e)
{
	echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
	echo 'N° : '.$e->getCode();
}

?>
