<?php
/**
 * @name Model_esia
 * @description Classe modèle d'Esia
 *		Toutes les méthodes sont déclarée en 'static' ainsi on garde les Objets PDO pour les programmeurs extérieurs et pour faire des modifications, ils ne sont pas /
 *		obligé de connaitre la hierachie de classe d'ESIA
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 16/11/2012
 */
include_once './conf.php';
include_once './model_flow_collector.php';
$action='stats';
if(!empty($_GET['action'] ) )
{
    $action = $_GET['action'];
}
if($action=='collectors')
{
		$collectors = Model_flows_collector::getCollectors($dbconnection);

		//echo '<pre>';		print_r($collectors);
		$ok = 0;
		$warning=0;
		$critical=0;
		$unknown=0;
		$collecterror=array();
		foreach($collectors as $collect)
		{
			switch($collect['state'])
			{
				case 0: $ok++; break;
				case 1: $warning++; break;
				case 2: $critical++; break;
				default: $unknown++; break;
			}
			if($collect['state'] !=0)
			{
				$collecterror[]=$collect;
			}
		}
		$arr=array('ok'=>$ok,'warning'=>$warning,'critical'=>$critical,'unknown'=>$unknown,'collectorInError'=>$collecterror);
		echo json_encode($arr,true);
		exit(0);
}
elseif($action=='traffic')
{
	//correspondant type nfdum
	$collectors = Model_flows_collector::getCollectors($dbconnection,'TRAFFIC_BYTES_30D',null);
	$collectors = array_shift($collectors);
	$type='bytes';
	switch($_GET['type'])
	{
		case 'flows': 	$type = 'Flows'; 	break;
		case 'packets': $type = 'Packets'; 	break;
		default: 		$type = 'Bytes'; 	break;
	}
	$arr= array();
	foreach($collectors['data']['data'] as $date => $line)
	{
		$val = 0;
		if(!empty($line))
		{
			$val = $line[$type];
		}
		$arr[$date] = $val;

	}
	echo json_encode($arr,true);
	exit(0);

}
?>
