<?php
$path_data= "/opt/nfsen/profiles-data/live/";
$path_rrd= "/opt/nfsen/profiles-stat/live/";
$path_nfdump="/usr/bin/nfdump";
$action='stats';
if(!empty( $_GET['action']))
{
    $action = $_GET['action'];
}
if($action=='stats')
{
    $rrd_array=array();
    if(!empty($_GET['tag']))
    {
        $rrd_array[]=$_GET['tag'].'.rrd';
    }
    else
    {
        $files1 = scandir($path_rrd);
        foreach($files1 as $file)
        {
            if(preg_match('#\.rrd#',$file))
            {
                $rrd_array[]=$file;
            }
        }
    }
    $arr = array();
        trace("FILE");
        trace("==========");
        trace($rrd_array);
        trace("==========");
    foreach($rrd_array as $file)
    {
            trace("FILE RRD $file");
        //$ret = rrd_fetch($path_rrd.$file, array( "AVERAGE", "--start",'-10min',"--end",'-5min'));
        $ret = rrd_lastupdate($path_rrd.$file);
        trace("RRD");
        trace("==========");
       trace($ret);
        trace("==========");
        foreach($ret['ds_navm'] as $key => $dsname)
        {
            $val = $ret['data'][$key];
            if(strpos($dsname,'traffic')!==false)
            {
                 trace("$dsname calc: sample val");
                $val = ($val*8) / 300;
            }
                if(isset($_GET['detail']))
                {
                    $name = preg_replace('#.rrd#','',$file);
                    $arr[$name][$dsname]=$val;
                }
                else
                {
                    if(array_key_exists($dsname,$arr))
                    {
                            trace("$dsname calc: ".$arr[$dsname].'+'.$val);
                            $arr[$dsname]=$arr[$dsname]+$val;
                    }
                    else
                    {
                            $arr[$dsname]=$val;
                    }
                }
        }
    }
    echo json_encode($arr);

}
elseif($action=='rrd')
{
    $rrd_array=array();
    if(!empty($_GET['tag']))
    {
        $rrd_array[]=$_GET['tag'].'.rrd';
    }
    else
    {
        $files1 = scandir($path_rrd);
        foreach($files1 as $file)
        {
            if(preg_match('#\.rrd#',$file))
            {
                $rrd_array[]=$file;
            }
        }
    }
    $start='-1d';
    $end='N';
    $type='flows';
    if(!empty($_GET['start']))
    {
	    $start=$_GET['start'];
    }
    if(!empty($_GET['end']))
    {
        $end=$_GET['end'];
    }
    if(!empty($_GET['type']))
    {
	    $type = $_GET['type'];
    }
    trace("FILE");
    trace($rrd_array);
    $globaljsonC3 = array();
    foreach($rrd_array as $file)
    {
        $ret = rrd_fetch($path_rrd.$file, array( "AVERAGE", "--start",$start,"--end",$end));
        trace("RRD");
        trace("==========");
        trace($ret);
        trace("==========");
        //suppression des caractère NaN de rrd.
        $result="";
        //$date=array('x');
		$data = array();
		$global = array();
		$jsontable=array();
		$dateTable = $ret['data'];
		foreach ($ret['data'] as $datasource => $data)
		{
			foreach ($data as $time => $value) {
				$jsontable['x'][] = date('Y-m-d G:i:s',$time);
			}
			array_pop($jsontable['x']);
			break;
		}
		//$j = 0;
    	foreach ($ret['data'] as $datasource => $data)
		{
            if(preg_match("#$type#",$datasource))
            {
			    $global['parameter'][] =$parameter[$datasource];
			    foreach ($data as $time => $value)
			    {
				    if(is_nan($value))
				    {
					    $value=0;
				    }else{
					    $value=round($value,2);
				    }
				    $jsontable[$datasource][] = $value;
			    }
			    array_pop($jsontable[$datasource]);
            }
			//$j++;
		}
		$global['data'] = $jsontable;
		$globaljsonC3[] = $global;
	}
	//print_r($jsontable);
	if(!empty($globaljsonC3))
		$out = json_encode($globaljsonC3);
	else //quand il n'y a pas de données à afficher.
			$out = json_encode(array("no_data"));
	echo $out;
    exit(0);
}
elseif($action=='flux')
{
    if(!empty($_GET['tag']))
    {
        $tag = $_GET['tag'];

        if(!empty($_GET['start']) && !empty($_GET['end']))
        {
            $filter = '';
            switch($_GET['filter'])
            {
                case 'ip-port':             $filter='-A srcip,dstip,dstport -O bytes'; break;
                case 'ip-flows':            $filter="-s ip/flows"; break;
                case 'ip-bytes':            $filter="-s ip/bytes"; break;
                case 'ip-bytes-download':   $filter="-s srcip/ibyte"; break;
                case 'ip-bytes-upload':     $filter="-s srcip/obyte"; break;
                case 'port-flows':          $filter="-s port/flows"; break;
                case 'port-bytes':          $filter="-s port/bytes"; break;
                default: $filter = '-A srcip,srcport,dstip,dstport -O bytes'; break;
            }
            $top = 15;
            if(!empty($_GET['top']))
            {
                $top = $_GET['top'];
            }
            $subfilter = '';
            if(!empty($_GET['subfilter']))
            {
                $_GET['subfilter'] = urldecode($_GET['subfilter']);
                $arrfilter = explode(" ",$_GET['subfilter']);
                trace($arrfilter);
                foreach($arrfilter as $key => $sub)
                {
                    if($key !=0)
                    {
                          $subfilter.=' and ';
                    }
                    if(preg_match('#([a-z]*)\-(.*)#',$sub,$regs))
                    {
                        trace("SUBFILTER=$regs[1] => $regs[2]");
                        if(preg_match('#^not[a-z]*#',$regs[1]))
                        {
                            $subfilter.="not ";
                            $regs[1]=preg_replace('#not#','',$regs[1]);
                        }
                        $variable=$regs[2];
                        if(strpos($regs[2],',' ))
                        {
                            $variable= " in [$variable]";
                        }
                        switch($regs[1])
                        {
                            case 'ip':    $subfilter.="ip $variable"; break;
                            case 'ipsrc': $subfilter.="src ip $variable"; break;
                            case 'ipdst': $subfilter.="dst ip $variable"; break;
                            case 'port':    $subfilter.="port $variable"; break;
                            case 'portsrc': $subfilter.="src port $variable"; break;
                            case 'portdst': $subfilter.="dst port $variable"; break;
                            default: $subfilter = ''; break;
                        }
                    }
                }
                $subfilter = "'$subfilter'";
            }
            $startrepertoire = date('Y/m/d',$_GET['start']);
            $startfile = date('YmdHi',$_GET['start']);
            $endrepertoire = date('Y/m/d',$_GET['end']);
            $endfile = date('YmdHi',$_GET['end']);
            $exec ="$path_nfdump -M $path_data/".$_GET['tag']." -T -R $startrepertoire/nfcapd.$startfile:$endrepertoire/nfcapd.$endfile $filter -n $top -o csv $subfilter";
            trace("$exec");
            exec($exec,$output);
            $arr = array();
            //ts,te,td,sa,da,sp,dp,pr,flg,fwd,stos,ipkt,ibyt,opkt,obyt,in,out,sas,das,smk,dmk,dtos,dir,nh,nhb,svln,dvln,ismc,odmc,idmc,osmc,mpls1,mpls2,mpls3,mpls4,mpls5,mpls6,mpls7,mpls8,mpls9,mpls10,cl,sl,al,ra,eng,exid,tr
            array_shift($output);
            foreach($output as $line)
            {
                trace("$line");
                if(!empty($line))
                {
                    if(strpos($line,'Summary')===false)
                    {
                        $line = explode(',',$line);
                        switch($_GET['filter'])
                        {
                            case 'ip-flows':
                            case 'ip-dst-bytes':
                            case 'ip-bytes-upload':
                            case 'ip-bytes-download':
                            case 'ip-bytes': $arr[] = lineToArray_IPFilter($line); break;
                           /* case 'ip-bytes-upload': $arr[] = lineToArray_IPupFilter($line); break;
                            case 'ip-bytes-download':  $arr[] = lineToArray_IPDownFilter($line); break;*/
                            case 'port-flows':
                            case 'port-bytes': $arr[] = lineToArray_PortFilter($line); break;
                            default: $arr[]= lineToArray_defaultFilter($line); break;
                        }
                    }
                    else
                    {
                        break;
                    }
                }
                //$arr[]=array('start'=> $fstart,'duration'=>$duration,'ipsource'=> $ipsource,'portsource'=>$portsource,'ipdest'=>$ipdest,'portdest'=>$portdest,'packet'=>$packets,'bytes'=>$bytes,'traffic'=>$traffic );
                //$arr[] = explode('|',$line);
            }
            trace("RESULT");
            trace($arr);
            echo json_encode($arr);
        }
    }


   // nfdump -M /opt/nfsen/profiles-data/live/hp3800  -T  -r 2018/11/11/nfcapd.201811111750 -A srcip,srcport,dstip,dstport -O bytes -n 15
}
function trace($string)
{
    if(isset($_GET['DEBUG']))
    {
        if(is_array($string))
        {
            echo '<pre>'.print_r($string,true).'</pre>';
        }
        else
        {
            echo $string.'<br >';
        }
    }
}
function lineToArray_defaultFilter($line)
{
    //2019-06-25 06:40:00
     $date = DateTime::createFromFormat('Y-m-d H:i:s', $line[0]);
    $fstart = $date->getTimestamp();
    $date = DateTime::createFromFormat('Y-m-d H:i:s', $line[1]);
    $fend = $date->getTimestamp();
    $duration = round($line[2]);
    $ipsource = $line[3];
    $portsource = $line[5];
    $ipdest = $line[4];
    $portdest = $line[6];
    $ipackets = $line[11];
    $opackets = $line[13];
    $ibytes = $line[12];
    $obytes = $line[14];
    $traffic = intval((($ibytes+$obytes)*8)/$duration);
    $arr = array('start'=> $fstart,'end'=>$fend,
                    'duration'=>$duration,
                    'ipsource'=> $ipsource,'portsource'=>$portsource,
                    'ipdest'=>$ipdest,'portdest'=>$portdest,
                    'ipacket'=>$ipackets,'opacket'=>$opackets,'packet' => $opackets+$ipackets,
                    'ibytes'=>$ibytes,'obytes'=>$obytes,'bytes' => $ibytes+$obytes,
                    'traffic'=>$traffic );
    return $arr;
}
function lineToArray_IPFilter($line)
{
    $date = DateTime::createFromFormat('Y-m-d H:i:s', $line[0]);
    $fstart = $date->getTimestamp();
    $duration = round($line[2]);
    $ip = $line[4];
    $flows = $line[5];
    $packets = $line[7];
    $bytes = $line[9];
    $traffic = intval(($line[9]*8)/$duration);
    return array('start'=> $fstart,'duration'=>$duration,'ip'=> $ip,'flow'=>$flows,'packet'=>$packets,'bytes'=>$bytes,'traffic'=>$traffic );
}
function lineToArray_IPDownFilter($line)
{
    $date = DateTime::createFromFormat('Y-m-d H:i:s', $line[0]);
    $fstart = $date->getTimestamp();
    $duration = round($line[2]);
    $ip = $line[4];
    $port = $line[5];
    $packets = $line[11];
    $bytes = $line[12];
    $traffic = intval(($line[12]*8)/$duration);
    return array('start'=> $fstart,'duration'=>$duration,'ip'=> $ip,'port'=>$port,'packet'=>$packets,'bytes'=>$bytes,'traffic'=>$traffic );
}
function lineToArray_IPupFilter($line)
{
    $date = DateTime::createFromFormat('Y-m-d H:i:s', $line[0]);
    $fstart = $date->getTimestamp();
    $duration = round($line[2]);
    $ip = $line[3];
    $port = $line[6];
    $packets = $line[11];
    $bytes = $line[12];
    $traffic = intval(($line[12]*8)/$duration);
    return array('start'=> $fstart,'duration'=>$duration,'ip'=> $ip,'port'=>$port,'packet'=>$packets,'bytes'=>$bytes,'traffic'=>$traffic );
}
function lineToArray_PortFilter($line)
{
     $date = DateTime::createFromFormat('Y-m-d H:i:s', $line[0]);
    $fstart = $date->getTimestamp();
    $duration  = round($line[2]);
    $port = $line[4];
    $flows = $line[5];
    $packets = $line[7];
    $bytes = $line[9];
    $traffic = intval(($line[9]*8)/$duration);
    return array('start'=> $fstart,'duration'=>$duration,'port'=> $port,'flow'=>$flows,'packet'=>$packets,'bytes'=>$bytes,'traffic'=>$traffic );
}
?>
